> ## Documentation Index
> Fetch the complete documentation index at: https://integrations.docs.commenda.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a sales order



## OpenAPI

````yaml /openapi_v4_core.json post /v4/core/companies/{companyId}/sales_orders
openapi: 3.0.0
info:
  title: Commenda Integrations V4 API
  description: Commenda Integrations — unified accounting, commerce, and CRM API.
  version: 4.0.0
  contact: {}
servers:
  - url: https://api.integrations.commenda.io
    description: Production
security:
  - api_key: []
tags: []
paths:
  /v4/core/companies/{companyId}/sales_orders:
    post:
      tags:
        - Accounting
      summary: Create a sales order
      operationId: create_sales_orders
      parameters:
        - name: companyId
          in: path
          required: true
          description: Commenda company id.
          schema:
            type: integer
        - name: run_async
          in: query
          required: false
          description: >-
            Process the write asynchronously. Required when `data` is an array
            (batch write).
          schema:
            type: boolean
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                data:
                  oneOf:
                    - $ref: '#/components/schemas/SalesOrderWrite'
                    - type: array
                      items:
                        $ref: '#/components/schemas/SalesOrderWrite'
              required:
                - data
      responses:
        '201':
          description: The created sales_orders record (sync) or a sync id (async).
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: object
                    properties:
                      data:
                        allOf:
                          - $ref: '#/components/schemas/SalesOrder'
                        nullable: true
                        description: >-
                          The written record, read back (synchronous writes
                          only).
                      sync_id:
                        type: string
                    required:
                      - sync_id
                  request_id:
                    type: string
                required:
                  - data
                  - request_id
components:
  schemas:
    SalesOrderWrite:
      type: object
      properties:
        platform_id:
          type: string
          example: string
        posted_date:
          type: string
          format: date-time
          nullable: true
          example: '2024-01-01T00:00:00Z'
        delivery_date:
          type: string
          format: date-time
          nullable: true
          example: '2024-01-01T00:00:00Z'
        description:
          type: string
          nullable: true
          example: string
        document_number:
          type: string
          nullable: true
          example: string
        currency_id:
          type: string
          enum:
            - AED
            - AFN
            - ALL
            - AMD
            - ANG
            - AOA
            - ARS
            - AUD
            - AWG
            - AZN
            - BAM
            - BBD
            - BDT
            - BGN
            - BHD
            - BIF
            - BMD
            - BND
            - BOB
            - BOV
            - BRL
            - BSD
            - BTN
            - BWP
            - BYN
            - BZD
            - CAD
            - CDF
            - CHE
            - CHF
            - CHW
            - CLF
            - CLP
            - CNY
            - COP
            - COU
            - CRC
            - CUC
            - CUP
            - CVE
            - CZK
            - DJF
            - DKK
            - DOP
            - DZD
            - EGP
            - ERN
            - ETB
            - EUR
            - FJD
            - FKP
            - GBP
            - GEL
            - GHS
            - GIP
            - GMD
            - GNF
            - GTQ
            - GYD
            - HKD
            - HNL
            - HTG
            - HUF
            - IDR
            - ILS
            - INR
            - IQD
            - IRR
            - ISK
            - JMD
            - JOD
            - JPY
            - KES
            - KGS
            - KHR
            - KMF
            - KPW
            - KRW
            - KWD
            - KYD
            - KZT
            - LAK
            - LBP
            - LKR
            - LRD
            - LSL
            - LYD
            - MAD
            - MDL
            - MGA
            - MKD
            - MMK
            - MNT
            - MOP
            - MRU
            - MUR
            - MVR
            - MWK
            - MXN
            - MXV
            - MYR
            - MZN
            - NAD
            - NGN
            - NIO
            - NOK
            - NPR
            - NZD
            - OMR
            - PAB
            - PEN
            - PGK
            - PHP
            - PKR
            - PLN
            - PYG
            - QAR
            - RON
            - RSD
            - RUB
            - RWF
            - SAR
            - SBD
            - SCR
            - SDG
            - SEK
            - SGD
            - SHP
            - SLE
            - SOS
            - SRD
            - SSP
            - STN
            - SVC
            - SYP
            - SZL
            - THB
            - TJS
            - TMT
            - TND
            - TOP
            - TRY
            - TTD
            - TWD
            - TZS
            - UAH
            - UGX
            - USD
            - USN
            - UYI
            - UYU
            - UYW
            - UZS
            - VED
            - VES
            - VND
            - VUV
            - WST
            - XAF
            - XAG
            - XAU
            - XBA
            - XBB
            - XBC
            - XBD
            - XCD
            - XDR
            - XOF
            - XPD
            - XPF
            - XPT
            - XSU
            - XTS
            - XUA
            - XXX
            - YER
            - ZAR
            - ZMW
            - ZWG
          nullable: true
          example: AED
        currency_rate:
          type: number
          nullable: true
          example: 0
        sub_total:
          type: number
          nullable: true
          example: 0
        tax_amount:
          type: number
          nullable: true
          example: 0
        total_discount:
          type: number
          nullable: true
          example: 0
        total_amount:
          type: number
          nullable: true
          example: 0
        payment_mode:
          type: string
          nullable: true
          example: string
        status:
          type: string
          enum:
            - DRAFT
            - SUBMITTED
            - PARTIALLY_PAID
            - PAID
            - OVERDUE
            - VOID
            - UNKNOWN
          nullable: true
          example: DRAFT
        contact_id:
          type: string
          nullable: true
          example: string
        invoice_ids:
          type: array
          items:
            type: string
          example:
            - string
        updated_at:
          type: string
          format: date-time
          nullable: true
          example: '2024-01-01T00:00:00Z'
        line_items:
          type: array
          items:
            $ref: '#/components/schemas/LineItemWrite'
          nullable: true
        contact:
          type: array
          items:
            $ref: '#/components/schemas/ContactWrite'
          nullable: true
        currency:
          type: array
          items:
            $ref: '#/components/schemas/CurrencyWrite'
          nullable: true
      required:
        - platform_id
        - invoice_ids
    SalesOrder:
      type: object
      properties:
        rootfi_id:
          type: integer
          description: Unique identifier assigned by Commenda for this sales order
        rootfi_created_at:
          type: string
          format: date-time
          description: >-
            Timestamp when this record was created in Commenda's system (ISO
            8601)
        rootfi_updated_at:
          type: string
          format: date-time
          description: >-
            Timestamp when this record was last updated in Commenda's system
            (ISO 8601)
        rootfi_integration_type:
          type: string
          enum:
            - BUSY
            - CLEARBOOKS
            - FREEAGENT
            - FRESHBOOKS
            - KASHFLOW
            - MEKARI_JURNAL
            - MS_DYNAMICS_365
            - MS_DYNAMICS_365_FO
            - MYOB_BUSINESS
            - NETSUITE
            - ODOO_ACCOUNTING
            - QOYOD
            - QUICKBOOKS
            - QUICKBOOKS_SANDBOX
            - ROOTFI_SANDBOX
            - SAGE_CLOUD_ACCOUNTING
            - SAGE_ZA_CLOUD_ACCOUNTING
            - SAGE_INTACCT
            - TALLY
            - WAFEQ
            - WAVE
            - XERO
            - ZOHO_BOOKS
            - PUZZLE_SANDBOX
            - PUZZLE
            - RILLET
            - RILLET_SANDBOX
            - AMAZON
            - BIG_COMMERCE
            - SHOPIFY
            - SQUARESPACE
            - WIX
            - WOO_COMMERCE
            - GOOGLE_PLAYSTORE
            - CHARGEBEE
            - MOLLIE
            - PAYPAL
            - PAYPAL_SANDBOX
            - RAZORPAY
            - SQUARE
            - SQUARE_SANDBOX
            - STRIPE
            - STRIPE_TEST
            - STRIPE_SANDBOX
            - ZOHO_INVOICE
            - PADDLE
            - PADDLE_SANDBOX
            - HUBSPOT
            - PIPEDRIVE
            - SALES_FORCE
            - ZOHO_CRM
            - GUSTO
        platform_id:
          type: string
          description: >-
            Unique identifier for this sales order in the source accounting
            platform
        posted_date:
          type: string
          format: date-time
          nullable: true
          description: The posted date of the sales order
        delivery_date:
          type: string
          format: date-time
          nullable: true
          description: The delivery date of the sales order
        description:
          type: string
          nullable: true
          description: The description of the sales order
        document_number:
          type: string
          nullable: true
          description: The document number of the sales order
        currency_id:
          type: string
          enum:
            - AED
            - AFN
            - ALL
            - AMD
            - ANG
            - AOA
            - ARS
            - AUD
            - AWG
            - AZN
            - BAM
            - BBD
            - BDT
            - BGN
            - BHD
            - BIF
            - BMD
            - BND
            - BOB
            - BOV
            - BRL
            - BSD
            - BTN
            - BWP
            - BYN
            - BZD
            - CAD
            - CDF
            - CHE
            - CHF
            - CHW
            - CLF
            - CLP
            - CNY
            - COP
            - COU
            - CRC
            - CUC
            - CUP
            - CVE
            - CZK
            - DJF
            - DKK
            - DOP
            - DZD
            - EGP
            - ERN
            - ETB
            - EUR
            - FJD
            - FKP
            - GBP
            - GEL
            - GHS
            - GIP
            - GMD
            - GNF
            - GTQ
            - GYD
            - HKD
            - HNL
            - HTG
            - HUF
            - IDR
            - ILS
            - INR
            - IQD
            - IRR
            - ISK
            - JMD
            - JOD
            - JPY
            - KES
            - KGS
            - KHR
            - KMF
            - KPW
            - KRW
            - KWD
            - KYD
            - KZT
            - LAK
            - LBP
            - LKR
            - LRD
            - LSL
            - LYD
            - MAD
            - MDL
            - MGA
            - MKD
            - MMK
            - MNT
            - MOP
            - MRU
            - MUR
            - MVR
            - MWK
            - MXN
            - MXV
            - MYR
            - MZN
            - NAD
            - NGN
            - NIO
            - NOK
            - NPR
            - NZD
            - OMR
            - PAB
            - PEN
            - PGK
            - PHP
            - PKR
            - PLN
            - PYG
            - QAR
            - RON
            - RSD
            - RUB
            - RWF
            - SAR
            - SBD
            - SCR
            - SDG
            - SEK
            - SGD
            - SHP
            - SLE
            - SOS
            - SRD
            - SSP
            - STN
            - SVC
            - SYP
            - SZL
            - THB
            - TJS
            - TMT
            - TND
            - TOP
            - TRY
            - TTD
            - TWD
            - TZS
            - UAH
            - UGX
            - USD
            - USN
            - UYI
            - UYU
            - UYW
            - UZS
            - VED
            - VES
            - VND
            - VUV
            - WST
            - XAF
            - XAG
            - XAU
            - XBA
            - XBB
            - XBC
            - XBD
            - XCD
            - XDR
            - XOF
            - XPD
            - XPF
            - XPT
            - XSU
            - XTS
            - XUA
            - XXX
            - YER
            - ZAR
            - ZMW
            - ZWG
          nullable: true
          description: ISO 4217 currency code
        currency_rate:
          type: number
          nullable: true
          description: The currency rate of the sales order
        sub_total:
          type: number
          nullable: true
          description: The sub total of the sales order
        tax_amount:
          type: number
          nullable: true
          description: The tax amount of the sales order
        total_discount:
          type: number
          nullable: true
          description: The total discount of the sales order
        total_amount:
          type: number
          nullable: true
          description: The total amount of the sales order
        payment_mode:
          type: string
          nullable: true
          description: The payment mode of the sales order
        status:
          type: string
          enum:
            - DRAFT
            - SUBMITTED
            - PARTIALLY_PAID
            - PAID
            - OVERDUE
            - VOID
            - UNKNOWN
          nullable: true
          description: The status of the sales order
        contact_id:
          type: string
          nullable: true
          description: The contact ID of the sales order
        invoice_ids:
          type: array
          items:
            type: string
          description: The invoice IDs associated with the sales order
        updated_at:
          type: string
          format: date-time
          nullable: true
          description: The date and time the sales order was last updated
        line_items:
          type: array
          items:
            $ref: '#/components/schemas/LineItem'
          nullable: true
        contact:
          type: array
          items:
            $ref: '#/components/schemas/Contact'
          nullable: true
        currency:
          type: array
          items:
            $ref: '#/components/schemas/Currency'
          nullable: true
      required:
        - rootfi_id
        - rootfi_created_at
        - rootfi_updated_at
        - rootfi_integration_type
        - platform_id
        - invoice_ids
      description: A record of goods or services sold to a customer.
    LineItemWrite:
      type: object
      properties:
        platform_id:
          type: string
          example: string
        parent_id:
          type: string
          nullable: true
          example: string
        parent_type:
          type: string
          enum:
            - BILL
            - INVOICE
            - BILL_CREDIT_NOTE
            - INVOICE_CREDIT_NOTE
            - GOODS_RECEIPT_NOTE
            - EXPENSE
            - PURCHASE_ORDER
            - SALES_ORDER
            - CASH_REFUND
            - CASH_SALE
            - JOURNAL_ENTRY
            - ORDER
            - SUBSCRIPTION
            - ESTIMATE
          nullable: true
          example: BILL
        item_id:
          type: string
          nullable: true
          example: string
        name:
          type: string
          nullable: true
          example: string
        description:
          type: string
          nullable: true
          example: string
        quantity:
          type: number
          nullable: true
          example: 0
        unit_amount:
          type: number
          nullable: true
          example: 0
        tax_amount:
          type: number
          nullable: true
          example: 0
        discount_amount:
          type: number
          nullable: true
          example: 0
        sub_total:
          type: number
          nullable: true
          example: 0
        total_amount:
          type: number
          nullable: true
          example: 0
        tax_id:
          type: string
          nullable: true
          example: string
        account_id:
          type: string
          nullable: true
          example: string
        variant_id:
          type: string
          nullable: true
          example: string
        tracking_category_ids:
          type: array
          items:
            type: string
          example:
            - string
        created_at:
          type: string
          format: date-time
          nullable: true
          example: '2024-01-01T00:00:00Z'
        updated_at:
          type: string
          format: date-time
          nullable: true
          example: '2024-01-01T00:00:00Z'
      required:
        - platform_id
        - tracking_category_ids
    ContactWrite:
      type: object
      properties:
        platform_id:
          type: string
          example: string
        name:
          type: string
          nullable: true
          example: string
        contact_name:
          type: string
          nullable: true
          example: string
        email:
          type: string
          nullable: true
          example: string
        phone:
          type: string
          nullable: true
          example: string
        tax_number:
          type: string
          nullable: true
          example: string
        type:
          type: string
          enum:
            - CUSTOMER
            - VENDOR
            - BOTH
            - UNKNOWN
          nullable: true
          example: CUSTOMER
        status:
          type: string
          enum:
            - ACTIVE
            - INACTIVE
            - SUSPENDED
            - ARCHIVED
            - UNKNOWN
          nullable: true
          example: ACTIVE
        currency_id:
          type: string
          enum:
            - AED
            - AFN
            - ALL
            - AMD
            - ANG
            - AOA
            - ARS
            - AUD
            - AWG
            - AZN
            - BAM
            - BBD
            - BDT
            - BGN
            - BHD
            - BIF
            - BMD
            - BND
            - BOB
            - BOV
            - BRL
            - BSD
            - BTN
            - BWP
            - BYN
            - BZD
            - CAD
            - CDF
            - CHE
            - CHF
            - CHW
            - CLF
            - CLP
            - CNY
            - COP
            - COU
            - CRC
            - CUC
            - CUP
            - CVE
            - CZK
            - DJF
            - DKK
            - DOP
            - DZD
            - EGP
            - ERN
            - ETB
            - EUR
            - FJD
            - FKP
            - GBP
            - GEL
            - GHS
            - GIP
            - GMD
            - GNF
            - GTQ
            - GYD
            - HKD
            - HNL
            - HTG
            - HUF
            - IDR
            - ILS
            - INR
            - IQD
            - IRR
            - ISK
            - JMD
            - JOD
            - JPY
            - KES
            - KGS
            - KHR
            - KMF
            - KPW
            - KRW
            - KWD
            - KYD
            - KZT
            - LAK
            - LBP
            - LKR
            - LRD
            - LSL
            - LYD
            - MAD
            - MDL
            - MGA
            - MKD
            - MMK
            - MNT
            - MOP
            - MRU
            - MUR
            - MVR
            - MWK
            - MXN
            - MXV
            - MYR
            - MZN
            - NAD
            - NGN
            - NIO
            - NOK
            - NPR
            - NZD
            - OMR
            - PAB
            - PEN
            - PGK
            - PHP
            - PKR
            - PLN
            - PYG
            - QAR
            - RON
            - RSD
            - RUB
            - RWF
            - SAR
            - SBD
            - SCR
            - SDG
            - SEK
            - SGD
            - SHP
            - SLE
            - SOS
            - SRD
            - SSP
            - STN
            - SVC
            - SYP
            - SZL
            - THB
            - TJS
            - TMT
            - TND
            - TOP
            - TRY
            - TTD
            - TWD
            - TZS
            - UAH
            - UGX
            - USD
            - USN
            - UYI
            - UYU
            - UYW
            - UZS
            - VED
            - VES
            - VND
            - VUV
            - WST
            - XAF
            - XAG
            - XAU
            - XBA
            - XBB
            - XBC
            - XBD
            - XCD
            - XDR
            - XOF
            - XPD
            - XPF
            - XPT
            - XSU
            - XTS
            - XUA
            - XXX
            - YER
            - ZAR
            - ZMW
            - ZWG
          nullable: true
          example: AED
        registration_number:
          type: string
          nullable: true
          example: string
        website:
          type: string
          nullable: true
          example: string
        created_at:
          type: string
          format: date-time
          nullable: true
          example: '2024-01-01T00:00:00Z'
        updated_at:
          type: string
          format: date-time
          nullable: true
          example: '2024-01-01T00:00:00Z'
        addresses:
          type: array
          items:
            $ref: '#/components/schemas/AddressWrite'
          nullable: true
        phone_numbers:
          type: array
          items:
            $ref: '#/components/schemas/PhoneNumberWrite'
          nullable: true
        external_links:
          type: array
          items:
            $ref: '#/components/schemas/ExternalLinkWrite'
          nullable: true
      required:
        - platform_id
    CurrencyWrite:
      type: object
      properties:
        platform_id:
          type: string
          example: string
        name:
          type: string
          nullable: true
          example: string
        code:
          type: string
          nullable: true
          example: string
        symbol:
          type: string
          nullable: true
          example: string
        is_base_currency:
          type: boolean
          nullable: true
          example: false
        exchange_rate:
          type: number
          nullable: true
          example: 0
        updated_at:
          type: string
          format: date-time
          nullable: true
          example: '2024-01-01T00:00:00Z'
      required:
        - platform_id
    LineItem:
      type: object
      properties:
        rootfi_id:
          type: integer
        rootfi_created_at:
          type: string
          format: date-time
        rootfi_updated_at:
          type: string
          format: date-time
        rootfi_integration_type:
          type: string
          enum:
            - BUSY
            - CLEARBOOKS
            - FREEAGENT
            - FRESHBOOKS
            - KASHFLOW
            - MEKARI_JURNAL
            - MS_DYNAMICS_365
            - MS_DYNAMICS_365_FO
            - MYOB_BUSINESS
            - NETSUITE
            - ODOO_ACCOUNTING
            - QOYOD
            - QUICKBOOKS
            - QUICKBOOKS_SANDBOX
            - ROOTFI_SANDBOX
            - SAGE_CLOUD_ACCOUNTING
            - SAGE_ZA_CLOUD_ACCOUNTING
            - SAGE_INTACCT
            - TALLY
            - WAFEQ
            - WAVE
            - XERO
            - ZOHO_BOOKS
            - PUZZLE_SANDBOX
            - PUZZLE
            - RILLET
            - RILLET_SANDBOX
            - AMAZON
            - BIG_COMMERCE
            - SHOPIFY
            - SQUARESPACE
            - WIX
            - WOO_COMMERCE
            - GOOGLE_PLAYSTORE
            - CHARGEBEE
            - MOLLIE
            - PAYPAL
            - PAYPAL_SANDBOX
            - RAZORPAY
            - SQUARE
            - SQUARE_SANDBOX
            - STRIPE
            - STRIPE_TEST
            - STRIPE_SANDBOX
            - ZOHO_INVOICE
            - PADDLE
            - PADDLE_SANDBOX
            - HUBSPOT
            - PIPEDRIVE
            - SALES_FORCE
            - ZOHO_CRM
            - GUSTO
        platform_id:
          type: string
        parent_id:
          type: string
          nullable: true
        parent_type:
          type: string
          enum:
            - BILL
            - INVOICE
            - BILL_CREDIT_NOTE
            - INVOICE_CREDIT_NOTE
            - GOODS_RECEIPT_NOTE
            - EXPENSE
            - PURCHASE_ORDER
            - SALES_ORDER
            - CASH_REFUND
            - CASH_SALE
            - JOURNAL_ENTRY
            - ORDER
            - SUBSCRIPTION
            - ESTIMATE
          nullable: true
        item_id:
          type: string
          nullable: true
        name:
          type: string
          nullable: true
        description:
          type: string
          nullable: true
        quantity:
          type: number
          nullable: true
        unit_amount:
          type: number
          nullable: true
        tax_amount:
          type: number
          nullable: true
        discount_amount:
          type: number
          nullable: true
        sub_total:
          type: number
          nullable: true
        total_amount:
          type: number
          nullable: true
        tax_id:
          type: string
          nullable: true
        account_id:
          type: string
          nullable: true
        variant_id:
          type: string
          nullable: true
        tracking_category_ids:
          type: array
          items:
            type: string
        created_at:
          type: string
          format: date-time
          nullable: true
        updated_at:
          type: string
          format: date-time
          nullable: true
        item:
          type: array
          items:
            $ref: '#/components/schemas/Item'
          nullable: true
        tax:
          type: array
          items:
            $ref: '#/components/schemas/TaxRate'
          nullable: true
        account:
          type: array
          items:
            $ref: '#/components/schemas/Account'
          nullable: true
        variant:
          type: array
          items:
            $ref: '#/components/schemas/Variant'
          nullable: true
      required:
        - rootfi_id
        - rootfi_created_at
        - rootfi_updated_at
        - rootfi_integration_type
        - platform_id
        - tracking_category_ids
      description: Line items across invoices, bills, orders, and other parent records.
    Contact:
      type: object
      properties:
        rootfi_id:
          type: integer
          description: Unique identifier assigned by Commenda for this contact
        rootfi_created_at:
          type: string
          format: date-time
          description: >-
            Timestamp when this record was created in Commenda's system (ISO
            8601)
        rootfi_updated_at:
          type: string
          format: date-time
          description: >-
            Timestamp when this record was last updated in Commenda's system
            (ISO 8601)
        rootfi_integration_type:
          type: string
          enum:
            - BUSY
            - CLEARBOOKS
            - FREEAGENT
            - FRESHBOOKS
            - KASHFLOW
            - MEKARI_JURNAL
            - MS_DYNAMICS_365
            - MS_DYNAMICS_365_FO
            - MYOB_BUSINESS
            - NETSUITE
            - ODOO_ACCOUNTING
            - QOYOD
            - QUICKBOOKS
            - QUICKBOOKS_SANDBOX
            - ROOTFI_SANDBOX
            - SAGE_CLOUD_ACCOUNTING
            - SAGE_ZA_CLOUD_ACCOUNTING
            - SAGE_INTACCT
            - TALLY
            - WAFEQ
            - WAVE
            - XERO
            - ZOHO_BOOKS
            - PUZZLE_SANDBOX
            - PUZZLE
            - RILLET
            - RILLET_SANDBOX
            - AMAZON
            - BIG_COMMERCE
            - SHOPIFY
            - SQUARESPACE
            - WIX
            - WOO_COMMERCE
            - GOOGLE_PLAYSTORE
            - CHARGEBEE
            - MOLLIE
            - PAYPAL
            - PAYPAL_SANDBOX
            - RAZORPAY
            - SQUARE
            - SQUARE_SANDBOX
            - STRIPE
            - STRIPE_TEST
            - STRIPE_SANDBOX
            - ZOHO_INVOICE
            - PADDLE
            - PADDLE_SANDBOX
            - HUBSPOT
            - PIPEDRIVE
            - SALES_FORCE
            - ZOHO_CRM
            - GUSTO
        platform_id:
          type: string
          description: Unique identifier for this contact in the source accounting platform
        name:
          type: string
          nullable: true
          description: The name of the contact
        contact_name:
          type: string
          nullable: true
          description: The name of the contact person for the contact
        email:
          type: string
          nullable: true
        phone:
          type: string
          nullable: true
        tax_number:
          type: string
          nullable: true
          description: The contact's tax number
        type:
          type: string
          enum:
            - CUSTOMER
            - VENDOR
            - BOTH
            - UNKNOWN
          nullable: true
          description: The type of contact
        status:
          type: string
          enum:
            - ACTIVE
            - INACTIVE
            - SUSPENDED
            - ARCHIVED
            - UNKNOWN
          nullable: true
          description: The status of the contact
        currency_id:
          type: string
          enum:
            - AED
            - AFN
            - ALL
            - AMD
            - ANG
            - AOA
            - ARS
            - AUD
            - AWG
            - AZN
            - BAM
            - BBD
            - BDT
            - BGN
            - BHD
            - BIF
            - BMD
            - BND
            - BOB
            - BOV
            - BRL
            - BSD
            - BTN
            - BWP
            - BYN
            - BZD
            - CAD
            - CDF
            - CHE
            - CHF
            - CHW
            - CLF
            - CLP
            - CNY
            - COP
            - COU
            - CRC
            - CUC
            - CUP
            - CVE
            - CZK
            - DJF
            - DKK
            - DOP
            - DZD
            - EGP
            - ERN
            - ETB
            - EUR
            - FJD
            - FKP
            - GBP
            - GEL
            - GHS
            - GIP
            - GMD
            - GNF
            - GTQ
            - GYD
            - HKD
            - HNL
            - HTG
            - HUF
            - IDR
            - ILS
            - INR
            - IQD
            - IRR
            - ISK
            - JMD
            - JOD
            - JPY
            - KES
            - KGS
            - KHR
            - KMF
            - KPW
            - KRW
            - KWD
            - KYD
            - KZT
            - LAK
            - LBP
            - LKR
            - LRD
            - LSL
            - LYD
            - MAD
            - MDL
            - MGA
            - MKD
            - MMK
            - MNT
            - MOP
            - MRU
            - MUR
            - MVR
            - MWK
            - MXN
            - MXV
            - MYR
            - MZN
            - NAD
            - NGN
            - NIO
            - NOK
            - NPR
            - NZD
            - OMR
            - PAB
            - PEN
            - PGK
            - PHP
            - PKR
            - PLN
            - PYG
            - QAR
            - RON
            - RSD
            - RUB
            - RWF
            - SAR
            - SBD
            - SCR
            - SDG
            - SEK
            - SGD
            - SHP
            - SLE
            - SOS
            - SRD
            - SSP
            - STN
            - SVC
            - SYP
            - SZL
            - THB
            - TJS
            - TMT
            - TND
            - TOP
            - TRY
            - TTD
            - TWD
            - TZS
            - UAH
            - UGX
            - USD
            - USN
            - UYI
            - UYU
            - UYW
            - UZS
            - VED
            - VES
            - VND
            - VUV
            - WST
            - XAF
            - XAG
            - XAU
            - XBA
            - XBB
            - XBC
            - XBD
            - XCD
            - XDR
            - XOF
            - XPD
            - XPF
            - XPT
            - XSU
            - XTS
            - XUA
            - XXX
            - YER
            - ZAR
            - ZMW
            - ZWG
          nullable: true
          description: The ISO-4217 currency code of the contact
        registration_number:
          type: string
          nullable: true
          description: The contact's identifying or registration number
        website:
          type: string
          nullable: true
        created_at:
          type: string
          format: date-time
          nullable: true
        updated_at:
          type: string
          format: date-time
          nullable: true
          description: The date and time the contact was last updated
        addresses:
          type: array
          items:
            $ref: '#/components/schemas/Address'
          nullable: true
        phone_numbers:
          type: array
          items:
            $ref: '#/components/schemas/PhoneNumber'
          nullable: true
        external_links:
          type: array
          items:
            $ref: '#/components/schemas/ExternalLink'
          nullable: true
      required:
        - rootfi_id
        - rootfi_created_at
        - rootfi_updated_at
        - rootfi_integration_type
        - platform_id
      description: >-
        A contact is an individual or company that buys or sells goods or
        services from a business. Commonly referred to as a customer on a
        corresponding invoice or a vendor for a bill.
    Currency:
      type: object
      properties:
        rootfi_id:
          type: integer
          description: Unique identifier assigned by Commenda for this currency
        rootfi_created_at:
          type: string
          format: date-time
          description: >-
            Timestamp when this record was created in Commenda's system (ISO
            8601)
        rootfi_updated_at:
          type: string
          format: date-time
          description: >-
            Timestamp when this record was last updated in Commenda's system
            (ISO 8601)
        rootfi_integration_type:
          type: string
          enum:
            - BUSY
            - CLEARBOOKS
            - FREEAGENT
            - FRESHBOOKS
            - KASHFLOW
            - MEKARI_JURNAL
            - MS_DYNAMICS_365
            - MS_DYNAMICS_365_FO
            - MYOB_BUSINESS
            - NETSUITE
            - ODOO_ACCOUNTING
            - QOYOD
            - QUICKBOOKS
            - QUICKBOOKS_SANDBOX
            - ROOTFI_SANDBOX
            - SAGE_CLOUD_ACCOUNTING
            - SAGE_ZA_CLOUD_ACCOUNTING
            - SAGE_INTACCT
            - TALLY
            - WAFEQ
            - WAVE
            - XERO
            - ZOHO_BOOKS
            - PUZZLE_SANDBOX
            - PUZZLE
            - RILLET
            - RILLET_SANDBOX
            - AMAZON
            - BIG_COMMERCE
            - SHOPIFY
            - SQUARESPACE
            - WIX
            - WOO_COMMERCE
            - GOOGLE_PLAYSTORE
            - CHARGEBEE
            - MOLLIE
            - PAYPAL
            - PAYPAL_SANDBOX
            - RAZORPAY
            - SQUARE
            - SQUARE_SANDBOX
            - STRIPE
            - STRIPE_TEST
            - STRIPE_SANDBOX
            - ZOHO_INVOICE
            - PADDLE
            - PADDLE_SANDBOX
            - HUBSPOT
            - PIPEDRIVE
            - SALES_FORCE
            - ZOHO_CRM
            - GUSTO
        platform_id:
          type: string
          description: >-
            Unique identifier for this currency in the source accounting
            platform
        name:
          type: string
          nullable: true
          description: The name of the currency
        code:
          type: string
          nullable: true
          description: The ISO-4217 currency code
        symbol:
          type: string
          nullable: true
          description: The symbol that represents the currency
        is_base_currency:
          type: boolean
          nullable: true
          description: Whether the currency is the base currency for the company
        exchange_rate:
          type: number
          nullable: true
          description: The exchange rate for the currency
        updated_at:
          type: string
          format: date-time
          nullable: true
          description: The date and time the currency was last updated
      required:
        - rootfi_id
        - rootfi_created_at
        - rootfi_updated_at
        - rootfi_integration_type
        - platform_id
      description: >-
        The Currencies Data Model streamlines access to currency information
        across various accounting platforms, providing a consistent and unified
        representation of currency data.
    AddressWrite:
      type: object
      properties:
        platform_id:
          type: string
          example: string
        parent_id:
          type: string
          nullable: true
          example: string
        parent_type:
          type: string
          enum:
            - ACCOUNT
            - BALANCE_SHEET
            - BANK_ACCOUNT
            - BANK_TRANSACTION
            - BILL
            - BILL_CREDIT_NOTE
            - BILL_PAYMENT
            - CASH_FLOW_STATEMENT
            - COMPANY_INFO
            - CONTACT
            - CURRENCY
            - DOCUMENT
            - EXPENSE
            - GOODS_RECEIPT_NOTE
            - INCOME_STATEMENT
            - INVOICE
            - INVOICE_CREDIT_NOTE
            - INVOICE_PAYMENT
            - ITEM
            - JOURNAL_ENTRY
            - JOURNAL_LINE
            - PROJECT
            - PURCHASE_ORDER
            - SALES_ORDER
            - ESTIMATE
            - TAX_RATE
            - TRACKING_CATEGORY
            - CASH_SALE
            - CASH_REFUND
            - BALANCE
            - DISPUTE
            - ORDER
            - PAYOUT
            - SUBSCRIPTION
            - TRANSACTION
            - EVENT
            - FULFILLMENT
            - INVENTORY
            - COMPANY
            - LEAD
            - OPPORTUNITY
            - PIPELINE
            - PIPELINE_STAGE
            - NOTE
            - TASK
            - OWNER
            - ENGAGEMENT
            - ADDRESS
            - EXTERNAL_LINK
            - LINE_ITEM
            - PHONE_NUMBER
            - VARIANT
          nullable: true
          example: ACCOUNT
        type:
          type: string
          enum:
            - SHIPPING
            - BILLING
            - COMPANY
            - WAREHOUSE
          nullable: true
          example: SHIPPING
        street:
          type: string
          nullable: true
          example: string
        street2:
          type: string
          nullable: true
          example: string
        locality:
          type: string
          nullable: true
          example: string
        city:
          type: string
          nullable: true
          example: string
        state:
          type: string
          nullable: true
          example: string
        postal_code:
          type: string
          nullable: true
          example: string
        country:
          type: string
          nullable: true
          example: string
      required:
        - platform_id
    PhoneNumberWrite:
      type: object
      properties:
        platform_id:
          type: string
          example: string
        parent_id:
          type: string
          nullable: true
          example: string
        parent_type:
          type: string
          enum:
            - ACCOUNT
            - BALANCE_SHEET
            - BANK_ACCOUNT
            - BANK_TRANSACTION
            - BILL
            - BILL_CREDIT_NOTE
            - BILL_PAYMENT
            - CASH_FLOW_STATEMENT
            - COMPANY_INFO
            - CONTACT
            - CURRENCY
            - DOCUMENT
            - EXPENSE
            - GOODS_RECEIPT_NOTE
            - INCOME_STATEMENT
            - INVOICE
            - INVOICE_CREDIT_NOTE
            - INVOICE_PAYMENT
            - ITEM
            - JOURNAL_ENTRY
            - JOURNAL_LINE
            - PROJECT
            - PURCHASE_ORDER
            - SALES_ORDER
            - ESTIMATE
            - TAX_RATE
            - TRACKING_CATEGORY
            - CASH_SALE
            - CASH_REFUND
            - BALANCE
            - DISPUTE
            - ORDER
            - PAYOUT
            - SUBSCRIPTION
            - TRANSACTION
            - EVENT
            - FULFILLMENT
            - INVENTORY
            - COMPANY
            - LEAD
            - OPPORTUNITY
            - PIPELINE
            - PIPELINE_STAGE
            - NOTE
            - TASK
            - OWNER
            - ENGAGEMENT
            - ADDRESS
            - EXTERNAL_LINK
            - LINE_ITEM
            - PHONE_NUMBER
            - VARIANT
          nullable: true
          example: ACCOUNT
        number:
          type: string
          nullable: true
          example: string
        type:
          type: string
          enum:
            - MOBILE
            - TELEPHONE
            - FAX
          nullable: true
          example: MOBILE
      required:
        - platform_id
    ExternalLinkWrite:
      type: object
      properties:
        platform_id:
          type: string
          example: string
        parent_id:
          type: string
          nullable: true
          example: string
        parent_type:
          type: string
          enum:
            - ACCOUNT
            - BALANCE_SHEET
            - BANK_ACCOUNT
            - BANK_TRANSACTION
            - BILL
            - BILL_CREDIT_NOTE
            - BILL_PAYMENT
            - CASH_FLOW_STATEMENT
            - COMPANY_INFO
            - CONTACT
            - CURRENCY
            - DOCUMENT
            - EXPENSE
            - GOODS_RECEIPT_NOTE
            - INCOME_STATEMENT
            - INVOICE
            - INVOICE_CREDIT_NOTE
            - INVOICE_PAYMENT
            - ITEM
            - JOURNAL_ENTRY
            - JOURNAL_LINE
            - PROJECT
            - PURCHASE_ORDER
            - SALES_ORDER
            - ESTIMATE
            - TAX_RATE
            - TRACKING_CATEGORY
            - CASH_SALE
            - CASH_REFUND
            - BALANCE
            - DISPUTE
            - ORDER
            - PAYOUT
            - SUBSCRIPTION
            - TRANSACTION
            - EVENT
            - FULFILLMENT
            - INVENTORY
            - COMPANY
            - LEAD
            - OPPORTUNITY
            - PIPELINE
            - PIPELINE_STAGE
            - NOTE
            - TASK
            - OWNER
            - ENGAGEMENT
            - ADDRESS
            - EXTERNAL_LINK
            - LINE_ITEM
            - PHONE_NUMBER
            - VARIANT
          nullable: true
          example: ACCOUNT
        link:
          type: string
          nullable: true
          example: string
        type:
          type: string
          enum:
            - WEBSITE
            - EMAIL
          nullable: true
          example: WEBSITE
      required:
        - platform_id
    Item:
      type: object
      properties:
        rootfi_id:
          type: integer
          description: Unique identifier assigned by Commenda for this item
        rootfi_created_at:
          type: string
          format: date-time
          description: >-
            Timestamp when this record was created in Commenda's system (ISO
            8601)
        rootfi_updated_at:
          type: string
          format: date-time
          description: >-
            Timestamp when this record was last updated in Commenda's system
            (ISO 8601)
        rootfi_integration_type:
          type: string
          enum:
            - BUSY
            - CLEARBOOKS
            - FREEAGENT
            - FRESHBOOKS
            - KASHFLOW
            - MEKARI_JURNAL
            - MS_DYNAMICS_365
            - MS_DYNAMICS_365_FO
            - MYOB_BUSINESS
            - NETSUITE
            - ODOO_ACCOUNTING
            - QOYOD
            - QUICKBOOKS
            - QUICKBOOKS_SANDBOX
            - ROOTFI_SANDBOX
            - SAGE_CLOUD_ACCOUNTING
            - SAGE_ZA_CLOUD_ACCOUNTING
            - SAGE_INTACCT
            - TALLY
            - WAFEQ
            - WAVE
            - XERO
            - ZOHO_BOOKS
            - PUZZLE_SANDBOX
            - PUZZLE
            - RILLET
            - RILLET_SANDBOX
            - AMAZON
            - BIG_COMMERCE
            - SHOPIFY
            - SQUARESPACE
            - WIX
            - WOO_COMMERCE
            - GOOGLE_PLAYSTORE
            - CHARGEBEE
            - MOLLIE
            - PAYPAL
            - PAYPAL_SANDBOX
            - RAZORPAY
            - SQUARE
            - SQUARE_SANDBOX
            - STRIPE
            - STRIPE_TEST
            - STRIPE_SANDBOX
            - ZOHO_INVOICE
            - PADDLE
            - PADDLE_SANDBOX
            - HUBSPOT
            - PIPEDRIVE
            - SALES_FORCE
            - ZOHO_CRM
            - GUSTO
        platform_id:
          type: string
          description: Unique identifier for this item in the source accounting platform
        name:
          type: string
          nullable: true
          description: The name of the item
        description:
          type: string
          nullable: true
          description: The description of the item
        code:
          type: string
          nullable: true
          description: The reference code of the item
        sku:
          type: string
          nullable: true
        price:
          type: number
          nullable: true
        currency_id:
          type: string
          enum:
            - AED
            - AFN
            - ALL
            - AMD
            - ANG
            - AOA
            - ARS
            - AUD
            - AWG
            - AZN
            - BAM
            - BBD
            - BDT
            - BGN
            - BHD
            - BIF
            - BMD
            - BND
            - BOB
            - BOV
            - BRL
            - BSD
            - BTN
            - BWP
            - BYN
            - BZD
            - CAD
            - CDF
            - CHE
            - CHF
            - CHW
            - CLF
            - CLP
            - CNY
            - COP
            - COU
            - CRC
            - CUC
            - CUP
            - CVE
            - CZK
            - DJF
            - DKK
            - DOP
            - DZD
            - EGP
            - ERN
            - ETB
            - EUR
            - FJD
            - FKP
            - GBP
            - GEL
            - GHS
            - GIP
            - GMD
            - GNF
            - GTQ
            - GYD
            - HKD
            - HNL
            - HTG
            - HUF
            - IDR
            - ILS
            - INR
            - IQD
            - IRR
            - ISK
            - JMD
            - JOD
            - JPY
            - KES
            - KGS
            - KHR
            - KMF
            - KPW
            - KRW
            - KWD
            - KYD
            - KZT
            - LAK
            - LBP
            - LKR
            - LRD
            - LSL
            - LYD
            - MAD
            - MDL
            - MGA
            - MKD
            - MMK
            - MNT
            - MOP
            - MRU
            - MUR
            - MVR
            - MWK
            - MXN
            - MXV
            - MYR
            - MZN
            - NAD
            - NGN
            - NIO
            - NOK
            - NPR
            - NZD
            - OMR
            - PAB
            - PEN
            - PGK
            - PHP
            - PKR
            - PLN
            - PYG
            - QAR
            - RON
            - RSD
            - RUB
            - RWF
            - SAR
            - SBD
            - SCR
            - SDG
            - SEK
            - SGD
            - SHP
            - SLE
            - SOS
            - SRD
            - SSP
            - STN
            - SVC
            - SYP
            - SZL
            - THB
            - TJS
            - TMT
            - TND
            - TOP
            - TRY
            - TTD
            - TWD
            - TZS
            - UAH
            - UGX
            - USD
            - USN
            - UYI
            - UYU
            - UYW
            - UZS
            - VED
            - VES
            - VND
            - VUV
            - WST
            - XAF
            - XAG
            - XAU
            - XBA
            - XBB
            - XBC
            - XBD
            - XCD
            - XDR
            - XOF
            - XPD
            - XPF
            - XPT
            - XSU
            - XTS
            - XUA
            - XXX
            - YER
            - ZAR
            - ZMW
            - ZWG
          nullable: true
        type:
          type: string
          enum:
            - INVENTORY
            - NON_INVENTORY
            - SERVICE
            - DIGITAL
            - UNKNOWN
          nullable: true
          description: The type of the item
        status:
          type: string
          enum:
            - DRAFT
            - ACTIVE
            - ARCHIVED
            - UNKNOWN
          nullable: true
          description: The status of the item
        quantity_on_hand:
          type: integer
          nullable: true
          description: The quantity on hand for the item
        is_bill_item:
          type: boolean
          nullable: true
          description: Whether there are details (bill_item) of this item getting purchased
        bill_item:
          description: Item details of this item getting purchased
          nullable: true
        is_invoice_item:
          type: boolean
          nullable: true
          description: Whether there are details (invoice_item) of this item getting sold
        invoice_item:
          description: Item details of this item getting sold
          nullable: true
        created_at:
          type: string
          format: date-time
          nullable: true
        updated_at:
          type: string
          format: date-time
          nullable: true
          description: The date and time the item was last updated
        variants:
          type: array
          items:
            $ref: '#/components/schemas/Variant'
          nullable: true
      required:
        - rootfi_id
        - rootfi_created_at
        - rootfi_updated_at
        - rootfi_integration_type
        - platform_id
      description: >-
        The Items Data Model is designed to simplify the management and
        retrieval of item-related information across various accounting
        platforms.
    TaxRate:
      type: object
      properties:
        rootfi_id:
          type: integer
          description: Unique identifier assigned by Commenda for this tax rate
        rootfi_created_at:
          type: string
          format: date-time
          description: >-
            Timestamp when this record was created in Commenda's system (ISO
            8601)
        rootfi_updated_at:
          type: string
          format: date-time
          description: >-
            Timestamp when this record was last updated in Commenda's system
            (ISO 8601)
        rootfi_integration_type:
          type: string
          enum:
            - BUSY
            - CLEARBOOKS
            - FREEAGENT
            - FRESHBOOKS
            - KASHFLOW
            - MEKARI_JURNAL
            - MS_DYNAMICS_365
            - MS_DYNAMICS_365_FO
            - MYOB_BUSINESS
            - NETSUITE
            - ODOO_ACCOUNTING
            - QOYOD
            - QUICKBOOKS
            - QUICKBOOKS_SANDBOX
            - ROOTFI_SANDBOX
            - SAGE_CLOUD_ACCOUNTING
            - SAGE_ZA_CLOUD_ACCOUNTING
            - SAGE_INTACCT
            - TALLY
            - WAFEQ
            - WAVE
            - XERO
            - ZOHO_BOOKS
            - PUZZLE_SANDBOX
            - PUZZLE
            - RILLET
            - RILLET_SANDBOX
            - AMAZON
            - BIG_COMMERCE
            - SHOPIFY
            - SQUARESPACE
            - WIX
            - WOO_COMMERCE
            - GOOGLE_PLAYSTORE
            - CHARGEBEE
            - MOLLIE
            - PAYPAL
            - PAYPAL_SANDBOX
            - RAZORPAY
            - SQUARE
            - SQUARE_SANDBOX
            - STRIPE
            - STRIPE_TEST
            - STRIPE_SANDBOX
            - ZOHO_INVOICE
            - PADDLE
            - PADDLE_SANDBOX
            - HUBSPOT
            - PIPEDRIVE
            - SALES_FORCE
            - ZOHO_CRM
            - GUSTO
        platform_id:
          type: string
          description: >-
            Unique identifier for this tax rate in the source accounting
            platform
        name:
          type: string
          nullable: true
          description: The display name of the tax rate
        code:
          type: string
          nullable: true
          description: The simple ID or code for the tax rate
        rate:
          type: number
          nullable: true
        tax_type:
          type: string
          nullable: true
          description: The type of tax as mentioned in the accounting platform
        effective_tax_rate:
          type: number
          nullable: true
          description: >-
            The total tax rate after accounting for the compounding effects of
            all tax components
        total_tax_rate:
          type: number
          nullable: true
          description: The sum of all the tax rate components
        components:
          description: The list of tax rate components
          nullable: true
        jurisdiction:
          type: string
          nullable: true
        status:
          type: string
          enum:
            - ACTIVE
            - ARCHIVED
            - UNKNOWN
          nullable: true
        created_at:
          type: string
          format: date-time
          nullable: true
        updated_at:
          type: string
          format: date-time
          nullable: true
          description: The date and time the tax rate was last updated
      required:
        - rootfi_id
        - rootfi_created_at
        - rootfi_updated_at
        - rootfi_integration_type
        - platform_id
      description: >-
        A Tax Rate is the percentage at which an individual or corporation is
        taxed.
    Account:
      type: object
      properties:
        rootfi_id:
          type: integer
          description: Unique identifier assigned by Commenda for this account
        rootfi_created_at:
          type: string
          format: date-time
          description: >-
            Timestamp when this record was created in Commenda's system (ISO
            8601)
        rootfi_updated_at:
          type: string
          format: date-time
          description: >-
            Timestamp when this record was last updated in Commenda's system
            (ISO 8601)
        rootfi_integration_type:
          type: string
          enum:
            - BUSY
            - CLEARBOOKS
            - FREEAGENT
            - FRESHBOOKS
            - KASHFLOW
            - MEKARI_JURNAL
            - MS_DYNAMICS_365
            - MS_DYNAMICS_365_FO
            - MYOB_BUSINESS
            - NETSUITE
            - ODOO_ACCOUNTING
            - QOYOD
            - QUICKBOOKS
            - QUICKBOOKS_SANDBOX
            - ROOTFI_SANDBOX
            - SAGE_CLOUD_ACCOUNTING
            - SAGE_ZA_CLOUD_ACCOUNTING
            - SAGE_INTACCT
            - TALLY
            - WAFEQ
            - WAVE
            - XERO
            - ZOHO_BOOKS
            - PUZZLE_SANDBOX
            - PUZZLE
            - RILLET
            - RILLET_SANDBOX
            - AMAZON
            - BIG_COMMERCE
            - SHOPIFY
            - SQUARESPACE
            - WIX
            - WOO_COMMERCE
            - GOOGLE_PLAYSTORE
            - CHARGEBEE
            - MOLLIE
            - PAYPAL
            - PAYPAL_SANDBOX
            - RAZORPAY
            - SQUARE
            - SQUARE_SANDBOX
            - STRIPE
            - STRIPE_TEST
            - STRIPE_SANDBOX
            - ZOHO_INVOICE
            - PADDLE
            - PADDLE_SANDBOX
            - HUBSPOT
            - PIPEDRIVE
            - SALES_FORCE
            - ZOHO_CRM
            - GUSTO
        platform_id:
          type: string
          description: Unique identifier for this account in the source accounting platform
        nominal_code:
          type: string
          nullable: true
          description: The nominal code of the account
        name:
          type: string
          nullable: true
          description: The name of the account
        description:
          type: string
          nullable: true
          description: The description of the account
        currency_id:
          type: string
          enum:
            - AED
            - AFN
            - ALL
            - AMD
            - ANG
            - AOA
            - ARS
            - AUD
            - AWG
            - AZN
            - BAM
            - BBD
            - BDT
            - BGN
            - BHD
            - BIF
            - BMD
            - BND
            - BOB
            - BOV
            - BRL
            - BSD
            - BTN
            - BWP
            - BYN
            - BZD
            - CAD
            - CDF
            - CHE
            - CHF
            - CHW
            - CLF
            - CLP
            - CNY
            - COP
            - COU
            - CRC
            - CUC
            - CUP
            - CVE
            - CZK
            - DJF
            - DKK
            - DOP
            - DZD
            - EGP
            - ERN
            - ETB
            - EUR
            - FJD
            - FKP
            - GBP
            - GEL
            - GHS
            - GIP
            - GMD
            - GNF
            - GTQ
            - GYD
            - HKD
            - HNL
            - HTG
            - HUF
            - IDR
            - ILS
            - INR
            - IQD
            - IRR
            - ISK
            - JMD
            - JOD
            - JPY
            - KES
            - KGS
            - KHR
            - KMF
            - KPW
            - KRW
            - KWD
            - KYD
            - KZT
            - LAK
            - LBP
            - LKR
            - LRD
            - LSL
            - LYD
            - MAD
            - MDL
            - MGA
            - MKD
            - MMK
            - MNT
            - MOP
            - MRU
            - MUR
            - MVR
            - MWK
            - MXN
            - MXV
            - MYR
            - MZN
            - NAD
            - NGN
            - NIO
            - NOK
            - NPR
            - NZD
            - OMR
            - PAB
            - PEN
            - PGK
            - PHP
            - PKR
            - PLN
            - PYG
            - QAR
            - RON
            - RSD
            - RUB
            - RWF
            - SAR
            - SBD
            - SCR
            - SDG
            - SEK
            - SGD
            - SHP
            - SLE
            - SOS
            - SRD
            - SSP
            - STN
            - SVC
            - SYP
            - SZL
            - THB
            - TJS
            - TMT
            - TND
            - TOP
            - TRY
            - TTD
            - TWD
            - TZS
            - UAH
            - UGX
            - USD
            - USN
            - UYI
            - UYU
            - UYW
            - UZS
            - VED
            - VES
            - VND
            - VUV
            - WST
            - XAF
            - XAG
            - XAU
            - XBA
            - XBB
            - XBC
            - XBD
            - XCD
            - XDR
            - XOF
            - XPD
            - XPF
            - XPT
            - XSU
            - XTS
            - XUA
            - XXX
            - YER
            - ZAR
            - ZMW
            - ZWG
          nullable: true
          description: ISO 4217 currency code
        current_balance:
          type: number
          nullable: true
          description: The current balance of the account
        status:
          type: string
          enum:
            - ACTIVE
            - ARCHIVED
            - UNKNOWN
          nullable: true
          description: The status of the account
        category:
          type: string
          enum:
            - ASSET
            - EXPENSE
            - LIABILITY
            - EQUITY
            - INCOME
            - BANK
            - UNKNOWN
          nullable: true
          description: The category of the account
        sub_category:
          type: string
          nullable: true
          description: The sub category of the account
        parent_account_id:
          type: string
          nullable: true
          description: The parent account ID of the account
        updated_at:
          type: string
          format: date-time
          nullable: true
          description: The date and time the account was last updated
      required:
        - rootfi_id
        - rootfi_created_at
        - rootfi_updated_at
        - rootfi_integration_type
        - platform_id
      description: An account contained within the business entity's chart of accounts.
    Variant:
      type: object
      properties:
        rootfi_id:
          type: integer
        rootfi_created_at:
          type: string
          format: date-time
        rootfi_updated_at:
          type: string
          format: date-time
        rootfi_integration_type:
          type: string
          enum:
            - BUSY
            - CLEARBOOKS
            - FREEAGENT
            - FRESHBOOKS
            - KASHFLOW
            - MEKARI_JURNAL
            - MS_DYNAMICS_365
            - MS_DYNAMICS_365_FO
            - MYOB_BUSINESS
            - NETSUITE
            - ODOO_ACCOUNTING
            - QOYOD
            - QUICKBOOKS
            - QUICKBOOKS_SANDBOX
            - ROOTFI_SANDBOX
            - SAGE_CLOUD_ACCOUNTING
            - SAGE_ZA_CLOUD_ACCOUNTING
            - SAGE_INTACCT
            - TALLY
            - WAFEQ
            - WAVE
            - XERO
            - ZOHO_BOOKS
            - PUZZLE_SANDBOX
            - PUZZLE
            - RILLET
            - RILLET_SANDBOX
            - AMAZON
            - BIG_COMMERCE
            - SHOPIFY
            - SQUARESPACE
            - WIX
            - WOO_COMMERCE
            - GOOGLE_PLAYSTORE
            - CHARGEBEE
            - MOLLIE
            - PAYPAL
            - PAYPAL_SANDBOX
            - RAZORPAY
            - SQUARE
            - SQUARE_SANDBOX
            - STRIPE
            - STRIPE_TEST
            - STRIPE_SANDBOX
            - ZOHO_INVOICE
            - PADDLE
            - PADDLE_SANDBOX
            - HUBSPOT
            - PIPEDRIVE
            - SALES_FORCE
            - ZOHO_CRM
            - GUSTO
        platform_id:
          type: string
        parent_id:
          type: string
          nullable: true
        parent_type:
          type: string
          enum:
            - ACCOUNT
            - BALANCE_SHEET
            - BANK_ACCOUNT
            - BANK_TRANSACTION
            - BILL
            - BILL_CREDIT_NOTE
            - BILL_PAYMENT
            - CASH_FLOW_STATEMENT
            - COMPANY_INFO
            - CONTACT
            - CURRENCY
            - DOCUMENT
            - EXPENSE
            - GOODS_RECEIPT_NOTE
            - INCOME_STATEMENT
            - INVOICE
            - INVOICE_CREDIT_NOTE
            - INVOICE_PAYMENT
            - ITEM
            - JOURNAL_ENTRY
            - JOURNAL_LINE
            - PROJECT
            - PURCHASE_ORDER
            - SALES_ORDER
            - ESTIMATE
            - TAX_RATE
            - TRACKING_CATEGORY
            - CASH_SALE
            - CASH_REFUND
            - BALANCE
            - DISPUTE
            - ORDER
            - PAYOUT
            - SUBSCRIPTION
            - TRANSACTION
            - EVENT
            - FULFILLMENT
            - INVENTORY
            - COMPANY
            - LEAD
            - OPPORTUNITY
            - PIPELINE
            - PIPELINE_STAGE
            - NOTE
            - TASK
            - OWNER
            - ENGAGEMENT
            - ADDRESS
            - EXTERNAL_LINK
            - LINE_ITEM
            - PHONE_NUMBER
            - VARIANT
          nullable: true
        name:
          type: string
          nullable: true
        sku:
          type: string
          nullable: true
        price:
          type: number
          nullable: true
        compare_at_price:
          type: number
          nullable: true
        currency_id:
          type: string
          enum:
            - AED
            - AFN
            - ALL
            - AMD
            - ANG
            - AOA
            - ARS
            - AUD
            - AWG
            - AZN
            - BAM
            - BBD
            - BDT
            - BGN
            - BHD
            - BIF
            - BMD
            - BND
            - BOB
            - BOV
            - BRL
            - BSD
            - BTN
            - BWP
            - BYN
            - BZD
            - CAD
            - CDF
            - CHE
            - CHF
            - CHW
            - CLF
            - CLP
            - CNY
            - COP
            - COU
            - CRC
            - CUC
            - CUP
            - CVE
            - CZK
            - DJF
            - DKK
            - DOP
            - DZD
            - EGP
            - ERN
            - ETB
            - EUR
            - FJD
            - FKP
            - GBP
            - GEL
            - GHS
            - GIP
            - GMD
            - GNF
            - GTQ
            - GYD
            - HKD
            - HNL
            - HTG
            - HUF
            - IDR
            - ILS
            - INR
            - IQD
            - IRR
            - ISK
            - JMD
            - JOD
            - JPY
            - KES
            - KGS
            - KHR
            - KMF
            - KPW
            - KRW
            - KWD
            - KYD
            - KZT
            - LAK
            - LBP
            - LKR
            - LRD
            - LSL
            - LYD
            - MAD
            - MDL
            - MGA
            - MKD
            - MMK
            - MNT
            - MOP
            - MRU
            - MUR
            - MVR
            - MWK
            - MXN
            - MXV
            - MYR
            - MZN
            - NAD
            - NGN
            - NIO
            - NOK
            - NPR
            - NZD
            - OMR
            - PAB
            - PEN
            - PGK
            - PHP
            - PKR
            - PLN
            - PYG
            - QAR
            - RON
            - RSD
            - RUB
            - RWF
            - SAR
            - SBD
            - SCR
            - SDG
            - SEK
            - SGD
            - SHP
            - SLE
            - SOS
            - SRD
            - SSP
            - STN
            - SVC
            - SYP
            - SZL
            - THB
            - TJS
            - TMT
            - TND
            - TOP
            - TRY
            - TTD
            - TWD
            - TZS
            - UAH
            - UGX
            - USD
            - USN
            - UYI
            - UYU
            - UYW
            - UZS
            - VED
            - VES
            - VND
            - VUV
            - WST
            - XAF
            - XAG
            - XAU
            - XBA
            - XBB
            - XBC
            - XBD
            - XCD
            - XDR
            - XOF
            - XPD
            - XPF
            - XPT
            - XSU
            - XTS
            - XUA
            - XXX
            - YER
            - ZAR
            - ZMW
            - ZWG
          nullable: true
        status:
          type: string
          enum:
            - ACTIVE
            - ARCHIVED
            - DRAFT
            - UNKNOWN
          nullable: true
        attributes:
          description: Arbitrary JSON (object or array; shape varies by data model).
          nullable: true
      required:
        - rootfi_id
        - rootfi_created_at
        - rootfi_updated_at
        - rootfi_integration_type
        - platform_id
    Address:
      type: object
      properties:
        rootfi_id:
          type: integer
        rootfi_created_at:
          type: string
          format: date-time
        rootfi_updated_at:
          type: string
          format: date-time
        rootfi_integration_type:
          type: string
          enum:
            - BUSY
            - CLEARBOOKS
            - FREEAGENT
            - FRESHBOOKS
            - KASHFLOW
            - MEKARI_JURNAL
            - MS_DYNAMICS_365
            - MS_DYNAMICS_365_FO
            - MYOB_BUSINESS
            - NETSUITE
            - ODOO_ACCOUNTING
            - QOYOD
            - QUICKBOOKS
            - QUICKBOOKS_SANDBOX
            - ROOTFI_SANDBOX
            - SAGE_CLOUD_ACCOUNTING
            - SAGE_ZA_CLOUD_ACCOUNTING
            - SAGE_INTACCT
            - TALLY
            - WAFEQ
            - WAVE
            - XERO
            - ZOHO_BOOKS
            - PUZZLE_SANDBOX
            - PUZZLE
            - RILLET
            - RILLET_SANDBOX
            - AMAZON
            - BIG_COMMERCE
            - SHOPIFY
            - SQUARESPACE
            - WIX
            - WOO_COMMERCE
            - GOOGLE_PLAYSTORE
            - CHARGEBEE
            - MOLLIE
            - PAYPAL
            - PAYPAL_SANDBOX
            - RAZORPAY
            - SQUARE
            - SQUARE_SANDBOX
            - STRIPE
            - STRIPE_TEST
            - STRIPE_SANDBOX
            - ZOHO_INVOICE
            - PADDLE
            - PADDLE_SANDBOX
            - HUBSPOT
            - PIPEDRIVE
            - SALES_FORCE
            - ZOHO_CRM
            - GUSTO
        platform_id:
          type: string
        parent_id:
          type: string
          nullable: true
        parent_type:
          type: string
          enum:
            - ACCOUNT
            - BALANCE_SHEET
            - BANK_ACCOUNT
            - BANK_TRANSACTION
            - BILL
            - BILL_CREDIT_NOTE
            - BILL_PAYMENT
            - CASH_FLOW_STATEMENT
            - COMPANY_INFO
            - CONTACT
            - CURRENCY
            - DOCUMENT
            - EXPENSE
            - GOODS_RECEIPT_NOTE
            - INCOME_STATEMENT
            - INVOICE
            - INVOICE_CREDIT_NOTE
            - INVOICE_PAYMENT
            - ITEM
            - JOURNAL_ENTRY
            - JOURNAL_LINE
            - PROJECT
            - PURCHASE_ORDER
            - SALES_ORDER
            - ESTIMATE
            - TAX_RATE
            - TRACKING_CATEGORY
            - CASH_SALE
            - CASH_REFUND
            - BALANCE
            - DISPUTE
            - ORDER
            - PAYOUT
            - SUBSCRIPTION
            - TRANSACTION
            - EVENT
            - FULFILLMENT
            - INVENTORY
            - COMPANY
            - LEAD
            - OPPORTUNITY
            - PIPELINE
            - PIPELINE_STAGE
            - NOTE
            - TASK
            - OWNER
            - ENGAGEMENT
            - ADDRESS
            - EXTERNAL_LINK
            - LINE_ITEM
            - PHONE_NUMBER
            - VARIANT
          nullable: true
        type:
          type: string
          enum:
            - SHIPPING
            - BILLING
            - COMPANY
            - WAREHOUSE
          nullable: true
        street:
          type: string
          nullable: true
        street2:
          type: string
          nullable: true
        locality:
          type: string
          nullable: true
        city:
          type: string
          nullable: true
        state:
          type: string
          nullable: true
        postal_code:
          type: string
          nullable: true
        country:
          type: string
          nullable: true
      required:
        - rootfi_id
        - rootfi_created_at
        - rootfi_updated_at
        - rootfi_integration_type
        - platform_id
    PhoneNumber:
      type: object
      properties:
        rootfi_id:
          type: integer
        rootfi_created_at:
          type: string
          format: date-time
        rootfi_updated_at:
          type: string
          format: date-time
        rootfi_integration_type:
          type: string
          enum:
            - BUSY
            - CLEARBOOKS
            - FREEAGENT
            - FRESHBOOKS
            - KASHFLOW
            - MEKARI_JURNAL
            - MS_DYNAMICS_365
            - MS_DYNAMICS_365_FO
            - MYOB_BUSINESS
            - NETSUITE
            - ODOO_ACCOUNTING
            - QOYOD
            - QUICKBOOKS
            - QUICKBOOKS_SANDBOX
            - ROOTFI_SANDBOX
            - SAGE_CLOUD_ACCOUNTING
            - SAGE_ZA_CLOUD_ACCOUNTING
            - SAGE_INTACCT
            - TALLY
            - WAFEQ
            - WAVE
            - XERO
            - ZOHO_BOOKS
            - PUZZLE_SANDBOX
            - PUZZLE
            - RILLET
            - RILLET_SANDBOX
            - AMAZON
            - BIG_COMMERCE
            - SHOPIFY
            - SQUARESPACE
            - WIX
            - WOO_COMMERCE
            - GOOGLE_PLAYSTORE
            - CHARGEBEE
            - MOLLIE
            - PAYPAL
            - PAYPAL_SANDBOX
            - RAZORPAY
            - SQUARE
            - SQUARE_SANDBOX
            - STRIPE
            - STRIPE_TEST
            - STRIPE_SANDBOX
            - ZOHO_INVOICE
            - PADDLE
            - PADDLE_SANDBOX
            - HUBSPOT
            - PIPEDRIVE
            - SALES_FORCE
            - ZOHO_CRM
            - GUSTO
        platform_id:
          type: string
        parent_id:
          type: string
          nullable: true
        parent_type:
          type: string
          enum:
            - ACCOUNT
            - BALANCE_SHEET
            - BANK_ACCOUNT
            - BANK_TRANSACTION
            - BILL
            - BILL_CREDIT_NOTE
            - BILL_PAYMENT
            - CASH_FLOW_STATEMENT
            - COMPANY_INFO
            - CONTACT
            - CURRENCY
            - DOCUMENT
            - EXPENSE
            - GOODS_RECEIPT_NOTE
            - INCOME_STATEMENT
            - INVOICE
            - INVOICE_CREDIT_NOTE
            - INVOICE_PAYMENT
            - ITEM
            - JOURNAL_ENTRY
            - JOURNAL_LINE
            - PROJECT
            - PURCHASE_ORDER
            - SALES_ORDER
            - ESTIMATE
            - TAX_RATE
            - TRACKING_CATEGORY
            - CASH_SALE
            - CASH_REFUND
            - BALANCE
            - DISPUTE
            - ORDER
            - PAYOUT
            - SUBSCRIPTION
            - TRANSACTION
            - EVENT
            - FULFILLMENT
            - INVENTORY
            - COMPANY
            - LEAD
            - OPPORTUNITY
            - PIPELINE
            - PIPELINE_STAGE
            - NOTE
            - TASK
            - OWNER
            - ENGAGEMENT
            - ADDRESS
            - EXTERNAL_LINK
            - LINE_ITEM
            - PHONE_NUMBER
            - VARIANT
          nullable: true
        number:
          type: string
          nullable: true
        type:
          type: string
          enum:
            - MOBILE
            - TELEPHONE
            - FAX
          nullable: true
      required:
        - rootfi_id
        - rootfi_created_at
        - rootfi_updated_at
        - rootfi_integration_type
        - platform_id
    ExternalLink:
      type: object
      properties:
        rootfi_id:
          type: integer
        rootfi_created_at:
          type: string
          format: date-time
        rootfi_updated_at:
          type: string
          format: date-time
        rootfi_integration_type:
          type: string
          enum:
            - BUSY
            - CLEARBOOKS
            - FREEAGENT
            - FRESHBOOKS
            - KASHFLOW
            - MEKARI_JURNAL
            - MS_DYNAMICS_365
            - MS_DYNAMICS_365_FO
            - MYOB_BUSINESS
            - NETSUITE
            - ODOO_ACCOUNTING
            - QOYOD
            - QUICKBOOKS
            - QUICKBOOKS_SANDBOX
            - ROOTFI_SANDBOX
            - SAGE_CLOUD_ACCOUNTING
            - SAGE_ZA_CLOUD_ACCOUNTING
            - SAGE_INTACCT
            - TALLY
            - WAFEQ
            - WAVE
            - XERO
            - ZOHO_BOOKS
            - PUZZLE_SANDBOX
            - PUZZLE
            - RILLET
            - RILLET_SANDBOX
            - AMAZON
            - BIG_COMMERCE
            - SHOPIFY
            - SQUARESPACE
            - WIX
            - WOO_COMMERCE
            - GOOGLE_PLAYSTORE
            - CHARGEBEE
            - MOLLIE
            - PAYPAL
            - PAYPAL_SANDBOX
            - RAZORPAY
            - SQUARE
            - SQUARE_SANDBOX
            - STRIPE
            - STRIPE_TEST
            - STRIPE_SANDBOX
            - ZOHO_INVOICE
            - PADDLE
            - PADDLE_SANDBOX
            - HUBSPOT
            - PIPEDRIVE
            - SALES_FORCE
            - ZOHO_CRM
            - GUSTO
        platform_id:
          type: string
        parent_id:
          type: string
          nullable: true
        parent_type:
          type: string
          enum:
            - ACCOUNT
            - BALANCE_SHEET
            - BANK_ACCOUNT
            - BANK_TRANSACTION
            - BILL
            - BILL_CREDIT_NOTE
            - BILL_PAYMENT
            - CASH_FLOW_STATEMENT
            - COMPANY_INFO
            - CONTACT
            - CURRENCY
            - DOCUMENT
            - EXPENSE
            - GOODS_RECEIPT_NOTE
            - INCOME_STATEMENT
            - INVOICE
            - INVOICE_CREDIT_NOTE
            - INVOICE_PAYMENT
            - ITEM
            - JOURNAL_ENTRY
            - JOURNAL_LINE
            - PROJECT
            - PURCHASE_ORDER
            - SALES_ORDER
            - ESTIMATE
            - TAX_RATE
            - TRACKING_CATEGORY
            - CASH_SALE
            - CASH_REFUND
            - BALANCE
            - DISPUTE
            - ORDER
            - PAYOUT
            - SUBSCRIPTION
            - TRANSACTION
            - EVENT
            - FULFILLMENT
            - INVENTORY
            - COMPANY
            - LEAD
            - OPPORTUNITY
            - PIPELINE
            - PIPELINE_STAGE
            - NOTE
            - TASK
            - OWNER
            - ENGAGEMENT
            - ADDRESS
            - EXTERNAL_LINK
            - LINE_ITEM
            - PHONE_NUMBER
            - VARIANT
          nullable: true
        link:
          type: string
          nullable: true
        type:
          type: string
          enum:
            - WEBSITE
            - EMAIL
          nullable: true
      required:
        - rootfi_id
        - rootfi_created_at
        - rootfi_updated_at
        - rootfi_integration_type
        - platform_id
  securitySchemes:
    api_key:
      type: apiKey
      in: header
      name: api_key
      description: Your Commenda Integrations API key, sent in the `api_key` header.

````